@import 'assets/variables';

.menu {
  position: absolute;
  display: flex;
  flex-direction: column;
  background-color: $dark-grey;
  opacity: 0;
  z-index: -1;
  transition: opacity 0.25s;
  box-shadow: 0 4px 12px rgba(0,0,0,0.3);
  pointer-events: none;

  &:hover {
    cursor: pointer;
  }
}

.root {
  position: relative;
  &:hover {
    .menu { 
      opacity: 1;
      pointer-events: auto; 
      z-index: 1;
    }
  }
}

.item {
  padding: $cell * 1.5;
  color: white;
  border-top: 1px $mid-grey solid;

  &:hover {
    background-color: $mid-grey;
  }
}